org.apache.sling.resource.presence.internal

## Class ResourcePresenter

- java.lang.Object
- - org.apache.sling.resource.presence.internal.ResourcePresenter

    public class ResourcePresenter
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ResourcePresenter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `activate(org.apache.sling.resource.presence.internal.ResourcePresenterConfiguration configuration, org.osgi.framework.BundleContext bundleContext)`
`void` `deactivate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourcePresenter

    public ResourcePresenter()

### Method Detail

#### activate

    public void activate(org.apache.sling.resource.presence.internal.ResourcePresenterConfiguration configuration,
                         org.osgi.framework.BundleContext bundleContext)

#### deactivate

    public void deactivate()